export declare const fsReadFile: any;
export declare const fsReadFileSync: any;
export declare const fsExists: any;
export declare function fsWriteFile(file: string, content: string): Promise<any>;
export declare function fsWriteFileSync(file: string, content: string): boolean;
export declare function fsUnlinkSync(file: string): boolean;
export declare function uriToPath(uri: string): string;
export declare function pathToUri(path: string): string;
export declare function resolvedPath(file: string): string;
export declare function getTmpDirSync(): any;
export declare function isStringListEqual(stringList1: string[], stringList2: string[]): boolean;
export declare class ConnectionLogger {
    private static _connection;
    private static sendNotification;
    static setConnection(connection: any): void;
    static log(message: string, prefix?: boolean): void;
    static warn(message: string, prefix?: boolean): void;
    static error(message: string, prefix?: boolean): void;
}
export declare function childProcessStdoutRedir(data: any): void;
export declare function childProcessStderrRedir(data: any): void;
export declare class DelayedCaller {
    private _callWaiting;
    private _timeOut;
    constructor(timeOut?: number);
    run(callName: string, successCallback: (success: Boolean) => any, errorCallback: (error: string) => any): Promise<any>;
}
export declare class ChildProcManager {
    private _alreadyRunning;
    kill(key: string): void;
    run(key: string, command: string, callBack: (status: any, error: any, stdout: any, stderr: any) => any): void;
}
declare class TmpFileManager {
    private _tmpDir;
    private _freeTmpFileNums;
    constructor();
    getTmpFilePath(...elems: string[]): string;
    cleanupTmpFiles(): void;
    getFreeTmpFileNum(key: string): number;
    returnFreeTmpFileNum(key: string, tmpFileNum: number): void;
}
export declare let tmpFileManager: TmpFileManager;
export {};
